<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_141"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_10dp">

        <com.cooleshow.base.widgets.QMUIRadiusImageView
            android:id="@+id/im_pic"
            android:layout_width="@dimen/dp_105"
            android:layout_height="@dimen/dp_71"
            android:layout_marginLeft="11dp"
            android:layout_marginTop="16dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:qmui_corner_radius="5dp" />

        <TextView
            android:id="@+id/subject_name"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_13"
            android:layout_marginStart="@dimen/dp_3"
            android:layout_marginBottom="@dimen/dp_4"
            android:background="@drawable/gray_1_radius_bg"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingStart="@dimen/dp_3"
            android:paddingEnd="@dimen/dp_3"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_9"
            app:layout_constraintBottom_toBottomOf="@+id/im_pic"
            app:layout_constraintLeft_toLeftOf="@+id/im_pic"
            tools:text="单簧管" />

        <TextView
            android:id="@+id/tv_subject_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="12dp"
            android:text="从零开始学竖笛直播课"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_15"
            app:layout_constraintLeft_toRightOf="@+id/im_pic"
            app:layout_constraintTop_toTopOf="@+id/im_pic" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/im_header"
            android:layout_width="18dp"
            android:layout_height="18dp"
            android:layout_marginLeft="14dp"
            android:src="@drawable/icon_teacher_default_head"
            app:layout_constraintBottom_toBottomOf="@+id/im_pic"
            app:layout_constraintLeft_toRightOf="@+id/im_pic" />

        <TextView
            android:id="@+id/tv_teacher_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:text="李老师"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/im_header"
            app:layout_constraintLeft_toRightOf="@+id/im_header"
            app:layout_constraintTop_toTopOf="@+id/im_header" />

        <View
            android:id="@+id/view_line"
            android:layout_width="1dp"
            android:layout_height="@dimen/dp_11"
            android:layout_marginLeft="10dp"
            android:background="@color/color_d3d3d3"
            app:layout_constraintBottom_toBottomOf="@+id/im_header"
            app:layout_constraintLeft_toRightOf="@+id/tv_teacher_name"
            app:layout_constraintTop_toTopOf="@+id/im_header" />

        <TextView
            android:id="@+id/tv_student_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:text="6人已购买"
            android:textColor="@color/color_ff802c"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/im_header"
            app:layout_constraintLeft_toRightOf="@+id/view_line"
            app:layout_constraintTop_toTopOf="@+id/im_header" />

        <View
            android:id="@+id/view_line1"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="15dp"
            android:layout_marginRight="9dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintTop_toBottomOf="@+id/im_pic" />

        <ImageView
            android:id="@+id/im_date"
            android:layout_width="@dimen/dp_16"
            android:layout_height="@dimen/dp_16"
            android:layout_marginTop="10dp"
            android:background="@drawable/icon_live_date_item"
            app:layout_constraintLeft_toLeftOf="@+id/im_pic"
            app:layout_constraintTop_toBottomOf="@+id/view_line1" />

        <TextView
            android:id="@+id/tv_date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            android:text="2021/09/17 14:00~14:25"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/im_date"
            app:layout_constraintLeft_toRightOf="@+id/im_date"
            app:layout_constraintTop_toTopOf="@+id/im_date" />

        <TextView
            android:id="@+id/tv_price"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="11dp"
            android:text="￥120/4课时"
            android:textColor="@color/color_2dc7aa"
            android:textSize="@dimen/sp_15"
            app:layout_constraintBottom_toBottomOf="@+id/im_date"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/im_date" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</RelativeLayout>